using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;
using System.Data;

namespace DataAdapterExample2
{
    class Program
    {
        static void Main(string[] args)
        {
            DataTable dtOsoba = new DataTable("Osoba");
            dtOsoba.Columns.Add("ID", Type.GetType("System.Int32"));
            dtOsoba.Columns.Add("Imie", Type.GetType("System.String"));
            dtOsoba.Columns.Add("Nazwisko", Type.GetType("System.String"));
            dtOsoba.Columns.Add("Pensja", Type.GetType("System.Int32"));

            SqlDataAdapter daOsoba = new SqlDataAdapter(
                "SELECT ID, Imie, Nazwisko, Pensja FROM Osoba",
                "Data Source=DRACULA\\SQLEXPRESS; Initial Catalog=KursPBD; Integrated Security=true"
                );

            daOsoba.MissingSchemaAction = MissingSchemaAction.Add; // Za drugim razem AddWithKey
            // daOsoba.FillSchema(ds, SchemaType.Source);
            daOsoba.Fill(dtOsoba);

            DataSet ds = new DataSet();
            ds.Tables.Add(dtOsoba);

            ds.Tables["Osoba"].Rows.Add(1, "Jerzy", "Kolanko", 2200);

            DataTable t = dtOsoba;
            Console.WriteLine("Tabela: " + t.TableName);
            Console.WriteLine("SCHEMAT");
            foreach (DataColumn c in t.Columns)
            {
                Console.WriteLine(string.Format(
                    "Name: {0}\t Type: {1}\t MaxLen: {2}\t AllowNulls?: {3}",
                    c.ColumnName, c.DataType, c.MaxLength, c.AllowDBNull));
            }
            Console.WriteLine("DANE");
            foreach (DataRow r in t.Rows)
            {
                foreach (DataColumn c in t.Columns)
                {
                    Console.Write(r[c] + ", ");
                }
                Console.WriteLine();
            }
            Console.ReadLine();

        }
    }
}
