drop table Osoba;
drop table Jednostka;

create table Jednostka(
  ID int not null constraint PK_Jednostka primary key identity,
  Nazwa varchar(20)
);

begin
  insert into Jednostka values( 'Wrocaw' );
  insert into Jednostka values( 'Pozna' );
  insert into Jednostka values( 'Krakw' );
  insert into Jednostka values( 'Warszawa' );
end;

create table Osoba(
  ID int not null constraint PK_Osoba primary key identity,
  ID_Jednostka int constraint FK_Osoba_Jednostka references Jednostka(ID),
  Imie varchar(30),
  Nazwisko varchar(50),
  Pensja int
)

begin
  insert into Osoba values( 1, 'Jan', 'Kowalski', 1000 );
  insert into Osoba values( 3, 'Ewa', 'Solska', 1200 );
  insert into Osoba values( 2, 'Boydar', 'Nowak', 1500 );
  insert into Osoba values( 4, 'Adam', 'Adamski', 1700 );
  insert into Osoba values( 4, 'Zygmunt', 'Riposta', 1240 );
  insert into Osoba values( 2, 'Alicja', 'Gleba', 1600 );
  insert into Osoba values( 1, 'Tania', 'Borwka', 1560 );
  insert into Osoba values( 1, 'Natasza', 'Lizacka', 2500 );
  insert into Osoba values( 3, 'Stan', 'Taczkowski', 1900 );
end; 