using System;
using System.Collections.Generic;
using System.Text;
using System.Data.SqlClient;
using System.Data;

namespace DataAdapterExample3
{
    class Program
    {
        static void Main(string[] args)
        {
            string ConnectionString = "Data Source=DRACULA\\SQLEXPRESS; Initial Catalog=KursPBD; Integrated Security=true";
            string Query = "SELECT ID, Imie, Nazwisko, Pensja FROM Osoba";

            SqlConnection connection = new SqlConnection(ConnectionString);
            SqlCommand cmd = new SqlCommand(string.Format("SELECT COUNT(*) FROM ({0}) T", Query), connection);
            connection.Open();
            int count = (int)cmd.ExecuteScalar();
            connection.Close();

            int PAGESIZE = 4;
            int PAGECOUNT = count / PAGESIZE + 1;

            SqlDataAdapter da = new SqlDataAdapter(
                Query,
                ConnectionString
                );

            DataTable t = new DataTable("Osoba");

            for (int i = 0; i < PAGECOUNT; i++)
            {
                t.Clear();
                Console.WriteLine(string.Format("PAGE NUMBER: {0}", i));
                da.Fill(i * PAGESIZE, PAGESIZE, new DataTable[] { t });

                foreach (DataRow r in t.Rows)
                {
                    foreach (DataColumn c in t.Columns)
                    {
                        Console.Write(r[c] + ", ");
                    }
                    Console.WriteLine();
                }
            }

            Console.ReadLine();
        }
    }
}
